[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: ACL OK in 2.0/2.1 not OK in 2.2


* Buchan Milne <bgmilne@obsidian.co.za> [2004-06-24 16:37]:
> | it worked OK on the OpenLDAP 2.1.30 FreeBSD port (changed to include
> | --enable-aci since this is used by the external softare), but the same
> | config file fails on a fresh install from stable sources (2.2.13):
> | slapd.conf: line nnn: bad DN "uid=[^,]+,dc=..." in DN clause
> Because the default matching style for dn changed from regex to exact
> from 2.1 to 2.2. So, your 'dn=' needs to be 'dn.regex='.
> (this really needs to be made much more obvious in the
> documentation/release notes/notes for 2.1 users etc IMHO).

thanks a lot!
I really missed that one. (CHANGES only includes the 2.2 tree.)


Peter.Schober@univie.ac.at - Vienna University Computer Center
Universitaetsstrasse 7, A-1010 Wien, Austria/Europe
Tel. +43-1-4277-14155, Fax. +43-1-4277-9140